.login-page{
    display: flex;
    justify-content: center;
    height: 100vh;
    align-items: center;
    .animate {
        -webkit-animation: animatezoom 0.5s;
        animation: animatezoom 0.5s
    }
    .login-box{
        height: 75vh;
        padding: 0;
        border-radius: 12px;
        overflow: hidden;
        box-shadow: 0 8px 20px rgba(0, 0, 0, 0.25), 0 8px 20px rgba(0, 0, 0, 0.25);
        .login-cont{
            padding: 1vh 2vw 0 2vw;
            label{
                color: rgb(80, 80, 80);
            }
            .header{   
                margin-bottom: 1vw;         
                div{
                    display: flex;
                    align-items: center;
                    justify-content: center;
                }  
                .home{
                    cursor: pointer;
                    img{
                        width: 40px;
                        height: 40px;
                    }
                }
                .avatar {
                    width: 45px;
                    height: 45px;
                }
                .signin{
                    cursor: pointer;
                    width: 85px;
                    height: 35px;
                    border-radius: 20px;
                    background: linear-gradient(to bottom right, rgb(4, 0, 180),rgb(255, 0, 150));
                    a{
                        color: rgb(255, 255, 255);
                        text-decoration: none;
                        font-size: 18px;
                        &:hover{
                            color: black;
                        }
                    }
                }
            }
            .SigninBox {
                min-height: 275px;
                height: 42vh;
                padding: 0 1vw;
                margin-bottom: 2vh;
                .component-fade-enter-active,
                .component-fade-leave-active {
                    transition: opacity 0.3s;
                }
                .component-fade-enter,
                .component-fade-leave-to {
                    opacity: 0;
                }
              }
              .oauth_box{
                transition: all 1s;
                p{
                    display: flex;
                    justify-content: center;
                    font-size: 2.5vh;
                    color: rgb(100, 100, 100);
                    margin-bottom: 1vh;
                }
                .oauth{
                    display: flex;
                    justify-content: space-evenly;
                    align-items: center;
                    ul{
                        padding-inline-start: 0px;
                        width:  280px;
                        li{
                            list-style: none;
                            margin-bottom: 2vh;
                            button{
                                display: flex;
                                align-items: center;
                                padding-left: 15px;
                                width: 100%;
                                cursor: pointer;
                                background: rgb(240, 240, 240);
                                border-radius: 20px;
                                border: none;
                                height: 32px;
                                color: rgb(44, 44, 44);
                                img{ 
                                    width: 25px;
                                    height: 25px;
                                    margin-right: 20px;
                                }
                            }
                        }
                     
                    }
                }
            }
        }
        .img{
            border-radius: 0 12px 12px 0;
            background: url(~@/assets/signin/signin_img.jpg);
            background-size: cover;
            padding: 0;
        }
    }
}
@-webkit-keyframes animatezoom {
    from {
        -webkit-transform: scale(0)
    }
    to {
        -webkit-transform: scale(1)
    }
}
@keyframes animatezoom {
    from {
        transform: scale(0)
    }
    to {
        transform: scale(1)
    }
}
@media (max-width: 767px){
   .img{
       display: none;
   } 
}
@media (max-width: 575px) {
    .login-box{
        height: 100vh !important;
        background: url(~@/assets/signin/signin_img.jpg);
        background-repeat: no-repeat;
        background-size: cover;
        border-radius: 0 !important;
        box-shadow: none;
        .login-cont{
            background-color: rgba(0, 0, 0, 0.35);
            label{
                display: none;
            }
            input{
                background: transparent;
                border: none;
                border-radius: 0;
                border-bottom: 2px solid blue;
                color: white;
            }::placeholder{
                font-size: 16px;
                color: white !important;
            }
            .verifynumLab{
                color: rgb(240, 240, 240) !important;
            }
            .oauth_box{
                margin-top: 1vh;
            }
        }
        p{
            color: rgb(250, 250, 250) !important;
            font: outline;
        }
    }
    .forgotLink{
        color: white;
    }
}